From: Christoph Pfister <christophpfister@gmail.com>
Date: Wed, 04 Apr 2012 19:22:09 +0000
Subject: fix build for gcc 4.7
X-Git-Url: http://quickgit.kde.org/?p=kaffeine.git&amp;a=commitdiff&amp;h=2da9df1e67004c3cfa879578c351300a99f23da1
---
fix build for gcc 4.7
---


--- a/src/dvb/dvbepg.cpp
+++ b/src/dvb/dvbepg.cpp
@@ -690,15 +690,15 @@
 	// 1980-01-06T000000 minus 15 secs (= UTC - GPS in 2011)
 	QDateTime baseDateTime = QDateTime(QDate(1980, 1, 5), QTime(23, 59, 45), Qt::UTC);
 
-	for (AtscEitSectionEntry entry = eitSection.entries(); (entryCount > 0) && entry.isValid();
-	     --entryCount, entry.advance()) {
+	for (AtscEitSectionEntry eitEntry = eitSection.entries();
+	     (entryCount > 0) && eitEntry.isValid(); --entryCount, eitEntry.advance()) {
 		DvbEpgEntry epgEntry;
 		epgEntry.channel = channel;
-		epgEntry.begin = baseDateTime.addSecs(entry.startTime());
-		epgEntry.duration = QTime().addSecs(entry.duration());
-		epgEntry.title = entry.title();
-
-		quint32 id = ((quint32(fakeChannel.networkId) << 16) | quint32(entry.eventId()));
+		epgEntry.begin = baseDateTime.addSecs(eitEntry.startTime());
+		epgEntry.duration = QTime().addSecs(eitEntry.duration());
+		epgEntry.title = eitEntry.title();
+
+		quint32 id = ((quint32(fakeChannel.networkId) << 16) | quint32(eitEntry.eventId()));
 		DvbSharedEpgEntry entry = epgEntries.value(id);
 
 		if (entry.isValid() && (entry->channel == epgEntry.channel) &&

